<script lang="ts">
import Vue from 'vue';
import SurveyStatBubble from './survey-stat-bubble.vue';

export default Vue.extend({
  name: 'SurveyRegionBubbles',
  components: {
    SurveyStatBubble,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <section class="survey-region-bubbles">
    <SlpContainer>
      <SlpTypography variant="heading4-bold" tag="div">
        {{ data.title }}
      </SlpTypography>
      <SlpRow class="survey-region-bubbles__row">
        <SlpColumn
          v-for="block in data.blocks"
          :key="block.label"
          :cols="3"
          size="md"
          class="survey-region-bubbles__col"
        >
          <SurveyStatBubble :data="block" class="survey-region-bubbles__stat" />
          <SlpTypography v-if="block.label" variant="body1" tag="div">{{
            block.label
          }}</SlpTypography>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.survey-region-bubbles {
  color: $color-primary-300;
  &__col {
    font-family: 'Jet Brains Mono';
    width: 100%;
    text-align: center;
  }

  &__legend {
    margin-top: $spacing-4;
  }
  &__stat {
    max-width: 245px;
    margin: 0 auto;
  }
}
</style>
